package com.tencent.mm.plugin.appbrand.page.a;

import android.text.TextUtils;
import com.tencent.matrix.trace.core.AppMethodBeat;

public enum d$a {
    BLACK(-16777216),
    WHITE(-1);
    
    public final int ivl;

    static {
        AppMethodBeat.o(87351);
    }

    private d$a(int i) {
        this.ivl = i;
    }

    public static d$a Dk(String str) {
        AppMethodBeat.i(87350);
        if (!TextUtils.isEmpty(str)) {
            for (d$a d_a : values()) {
                if (d_a.name().equalsIgnoreCase(str)) {
                    AppMethodBeat.o(87350);
                    return d_a;
                }
            }
        }
        d$a d_a2 = WHITE;
        AppMethodBeat.o(87350);
        return d_a2;
    }
}
